#include "common.h"

void variable_init()
{
    rb_define_variable("$option_page_view_way", &gOptionPageViewWay);
    rb_define_variable("$option_file_size_view_way", &gFileSizeViewWay);
    rb_define_variable("$option_sort_mark_file_up", &gSortMarkFileUp);
    rb_define_variable("$option_sort_dir_up", &gSortDirUp);
    rb_define_variable("$cmdline_completion_programs", &gPrograms);

    rb_define_global_const("FS_NORMAL", INT2NUM(kFSNormal));
    rb_define_global_const("FS_HUMAN", INT2NUM(kFSHuman));
    rb_define_global_const("FS_PLANE", INT2NUM(kFSPlane));
} 

void variable_final()
{
}
